perl-modperl mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jeff Zhuk <jeff_z...@yahoo.com>
Subject Re: update site/lib
Date Fri, 01 May 2009 03:20:15 GMT
Thank you, KT Lo!
 
I think I am one step closer.
 
I did: "ppm upgrade" and I saw several upgrade messages including: 
"Win32 0.39 (have 0.38)"
 
Before upgrade I had this error message:
 
[Thu Apr 30 20:40:24 2009] [error] Can't load 'C:/Perl/site/lib/auto/Win32/Win32
.dll' for module Win32: load_file:The specified module could not be found at C:/
Perl/lib/DynaLoader.pm line 226.\n at C:/Perl/lib/Cwd.pm line 692\nCompilation f
ailed in require at C:/Perl/lib/Cwd.pm line 692.\nBEGIN failed--compilation abor
ted.\n

In reality I can see "C:/Perl/site/lib/auto/Win32/Win32.dll" file. It is right there, dated
6/17/2002
 
After upgrade the error message is different:
 
[Thu Apr 30 21:04:56 2009] [error] Win32 version 0.27 required--this is only ver
sion 0.191 at C:/Perl/lib/Cwd.pm line 692.\nBEGIN failed--compilation aborted.\n
 
Neither Win32.dll nor anything in the C:/Perl/site/lib/auto/Win32 directory have been changed.
 
I checked the date on Cwd.pm - it is dated 10/30/2008.
 
Any advice?
 
Thank you,
 
Jeff
 
--- On Thu, 4/30/09, KT Lo <joba62rule@gmail.com> wrote:


From: KT Lo <joba62rule@gmail.com>
Subject: Re: update site/lib
To: "Jeff Zhuk" <jeff_zhuk@yahoo.com>
Date: Thursday, April 30, 2009, 12:27 AM


ppm upgrade --install


2009/4/30 Jeff Zhuk <jeff_zhuk@yahoo.com>






I have multiple packages in Perl/site/lib.
 
Some of them are old and not compatible with current 5.8.9.
What is the way to upgrade all packages?
 
Something like: ppm install "URL" -all
 
Thank you for your help,
 
Jeff
 
 
 




      
Mime
View raw message